"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeTradeDataType = exports.normalizeOfferDataType = void 0;
const common_sdk_1 = require("@orca-so/common-sdk");
const _1 = require(".");
const bytes_1 = require("@project-serum/anchor/dist/cjs/utils/bytes");
const normalizeOfferDataType = (offerData) => {
    return Object.assign(Object.assign({}, offerData), { rate: (0, _1.unScale)(offerData.rate, _1.SCALE_EXPO), decryptedPaymentMethod: offerData.paymentMethod
            ? bytes_1.bs58.decode(offerData.paymentMethod).toString()
            : null });
};
exports.normalizeOfferDataType = normalizeOfferDataType;
const normalizeTradeDataType = (tradeData) => {
    return Object.assign(Object.assign({}, tradeData), { fiatAmount: common_sdk_1.DecimalUtil.fromU64(tradeData.fiatAmount, _1.SCALE_EXPO).toNumber() });
};
exports.normalizeTradeDataType = normalizeTradeDataType;
